--- /dev/null	Wed Apr  1 15:56:56 2015
+++ new/usr/src/lib/zlib/Makefile.com	Wed Apr  1 15:56:56 2015
@@ -0,0 +1,76 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Gary Mills
+#
+
+LIBRARY =	libz.a
+VERS =	.1
+OBJZ =	adler32.o crc32.o deflate.o infback.o inffast.o inflate.o \
+	inftrees.o trees.o zutil.o
+OBJG =	compress.o uncompr.o gzclose.o gzlib.o gzread.o gzwrite.o
+OBJECTS =	$(OBJZ) $(OBJG)
+
+include ../../Makefile.lib
+
+# install this library in the root filesystem
+include ../../Makefile.rootfs
+
+LIBS =		$(DYNLIB) $(LINTLIB)
+
+SRCDIR =	../common
+
+$(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
+LDLIBS +=	-lc
+
+C99MODE =	$(C99_ENABLE)
+
+CFLAGS +=	-mt $(CCVERBOSE)
+CPPFLAGS +=	-DORIG_LONGEST_MATCH_GLOBAL '-D_LARGEFILE64_SOURCE=1'
+CPPFLAGS +=	-I$(SRCDIR)
+
+COPTFLAG =	-_cc=-xO4 -_gcc=-O3
+COPTFLAG64 =	-_cc=-xO4 -_gcc=-O3
+
+# Can be removed when BUILD.SO is corrected in lib/Makefile.lib
+BUILD.SO =	$(CC) $(CFLAGS) -o $@ $(GSHARED) $(DYNFLAGS) \
+		$(PICS) $(EXTPICS) $(LDLIBS)
+
+ULDIR = 	$(ROOT)/usr/lib
+ULDIR64 = 	$(ROOT)/usr/lib/$(MACH64)
+
+USRLINKS =	$(ULDIR)/libz.so \
+		$(ULDIR)/libz.so.1 \
+		$(ULDIR)/llib-lz.ln
+USRLINKS64 =	$(ULDIR64)/libz.so \
+		$(ULDIR64)/libz.so.1 \
+		$(ULDIR64)/llib-lz.ln
+
+$(ULDIR)/libz.so := LINKSRC = ./libz.so.1
+$(ULDIR)/libz.so.1 := LINKSRC = ../../lib/libz.so.1
+$(ULDIR)/llib-lz.ln := LINKSRC = ../../lib/llib-lz.ln
+$(ULDIR64)/libz.so := LINKSRC = libz.so.1
+$(ULDIR64)/libz.so.1 := LINKSRC = ../../../lib/$(MACH64)/libz.so.1
+$(ULDIR64)/llib-lz.ln := LINKSRC = ../../../lib/$(MACH64)/llib-lz.ln
+
+$(USRLINKS):
+	$(RM) $@; $(SYMLINK) $(LINKSRC) $@
+$(USRLINKS64):
+	$(RM) $@; $(SYMLINK) $(LINKSRC) $@
+
+.KEEP_STATE:
+
+all: $(LIBS)
+
+lint: lintcheck
+
+include ../../Makefile.targ
